gsw_sigma0 {gsw} | R Documentation

## Potential density anomaly referenced to 0 dbar

### Description

This uses the 75-term density equation, and returns potential density referenced to a pressure of 0 dbar, minus 1000 kg/m^3.

### Usage

    gsw_sigma0(SA, CT)

### Arguments

`SA` | Absolute Salinity [ g/kg ]
`CT` | Conservative Temperature [ degC ]

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

potential density anomaly [ kg/m^3 ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_sigma0.html

### See Also

Other things related to density: `gsw_CT_from_rho`, `gsw_CT_maxdensity`, `gsw_SA_from_rho`, `gsw_alpha_on_beta`, `gsw_alpha_wrt_t_exact`, `gsw_alpha_wrt_t_ice`, `gsw_alpha`, `gsw_beta_const_t_exact`, `gsw_beta`, `gsw_pot_rho_t_exact`, `gsw_rho_alpha_beta`, `gsw_rho_first_derivatives_wrt_enthalpy`, `gsw_rho_first_derivatives`, `gsw_rho_ice`, `gsw_rho_t_exact`, `gsw_rho`, `gsw_sigma1`, `gsw_sigma2`, `gsw_sigma3`, `gsw_sigma4`, `gsw_specvol_alpha_beta`, `gsw_specvol_anom_standard`, `gsw_specvol_ice`, `gsw_specvol_t_exact`, `gsw_specvol`

### Examples

    SA <- c(34.7118, 34.8915, 35.0256, 34.8472, 34.7366, 34.7324)
    CT <- c(28.8099, 28.4392, 22.7862, 10.2262,  6.8272,  4.3236)
    sigma0 <- gsw_sigma0(SA,CT)
    expect_equal(sigma0, c(21.797900819337656, 22.052215404397316, 23.892985307893923,
                           26.667608665972011, 27.107380455119710, 27.409748977090885))

[Package gsw version 1.0-5 Index]